# Uses of Enum Class
java.lang.classfile.ClassFile.ShortJumpsOption

Packages that use ClassFile.ShortJumpsOption
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassFile.ShortJumpsOption in java.lang.classfile

Subclasses with type arguments of type ClassFile.ShortJumpsOption in java.lang.classfile
Modifier and Type
Class
Description
`static enum`
`ClassFile.ShortJumpsOption`
The option describing whether to automatically rewrite short jumps to equivalent instructions when necessary.
Methods in java.lang.classfile that return ClassFile.ShortJumpsOption
Modifier and Type
Method
Description
`static ClassFile.ShortJumpsOption`
ClassFile.ShortJumpsOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClassFile.ShortJumpsOption[]`
ClassFile.ShortJumpsOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.